Subject: gdb and armulator

From: Rainer Dorsch <[email-masked]>
Date: Thu, 14 Jan 1999 20:27:53 +0100

I build a cross-assembler for solaris with the target 

	arm-aout

./configure --target=arm-aout --prefix=/tools/ARM/usr 
make

and the same for gdb.

Running the assembler as-new of binutils works (at least there is no error 
message):

$ /tools/ARM/GNU/binutils-2.9.1.0.19a/gas/as-new -g hw_gnu.s 
$

But when running gdb, I see

$ /tools/ARM/GNU/gdb-4.17/gdb/gdb a.out
GNU gdb 4.17
Copyright 1998 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "--host=sparc-sun-solaris2.6 --target=arm-aout"...
(gdb) target sim
Connected to the simulator.
(gdb) run
Starting program: /home/rainer/Work/Lehre/SoC/ARM/S2/a.out
warning: No program loaded.

Program exited normally.
No program loaded. 

 file a.out
A program is being debugged already.  Kill it? (y or n) y

Load new symbol table from "a.out"? (y or n) y
Reading symbols from a.out...done.
(gdb) run
Starting program: /home/rainer/Work/Lehre/SoC/ARM/S2/a.out
You can't do that without a process to debug 

But the info pages say:

After specifying this target, you can debug programs for the simulated
CPU in the same style as programs for your host computer; use the
`file' command to load a new program image, the `run' command to run
your program, and so on.  

Can anybody guess what I am doing wrong?

Thank you.

-- 
Rainer Dorsch
Abt. Rechnerarchitektur  e-mail:[email-masked]
Uni Stuttgart            Tel.: 0711-7816-215

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]